<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables</title>
</head>
<body>
	<h2 align="center">Welcome to the Table Page</h2>
	
	<ul>
		<li><a href="./index.html">Home Page</a></li>
		<li><a href="./form.html">Form Page</a></li>
		<li><a href="../activity/contact.html">Contact Page</a></li>
	</ul>
	<!-- div is a container of text and other elements, or even other divs. It represents a division in our page. the difference between a span and div is that a div is displayed as a block.  -->
	
	<!-- id attribute allowes us to add a unique identifier to a unique element in a page. id allowes us to design a particular element or add JS features to that element. the value is user defined -->

	<!-- Semantic div, a semantic div is a div which is uniquely identified with an id that clearely defines the content and the purpose of the div. -->

	<div id="mainContent">
		<h3>HTML Entities</h3>
		<p>
			<em>There are characters in HTML. (e.g. &lt; or &gt;)</em>
		</p>
		<p>
			HTML entities start with an ampersand (&) and end with a semicolon (;)
		</p>
		<!-- tables are created using the table tag -->
		<!-- border attribute allows us to modify the thickness of table border -->

		<table border="1">
			<!-- tables can be devided by thead, tbody, tfoot. 
			thead will contain all table headers or labels per column
			tbody contains the actual data
			tfoot contains a footer which is additional info about the table -->

			<thead>
				<!-- tr table row, contains our th or tds in a row -->
				<tr>
					<!-- th table header, allows us to add cells which will be out headers. texts in th are bolded -->
				<th colspan="2">Entity</th>
				<th>Description</th>
				</tr>
			</thead>
			<tbody>
				<!-- td table data, allows to add cells with actual data, text not bolded -->
				<tr>
					<td>&lt;</td>
					<td>lt</td>
					<td>Less than</td>
				</tr>
				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>Greater Than</td>
				</tr>
				<tr>
					<td>&#8369;</td>
					<td>#8369</td>
					<td>Peso Sign</td>
				</tr>
				<tr>
					<td>&amp;</td>
					<td>&</td>
					<td>Ampersand</td>
				</tr>
				<tr>
					<td>&quot;</td>
					<td>quot</td>
					<td>Double Quotation Mark</td>
				</tr>
				<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>Apostrophe (single quotation mark)</td>
				</tr>
				<tr>
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>Lower Tilde</td>
				</tr>
				<tr>
					<td>&Ntilde;</td>
					<td>Ntilde</td>
					<td>Upper Tilde</td>
				</tr>

			</tbody>
			<tfoot>
				<tr>
					<th colspan="3">These are some HTML Entities. There are many more to be learned</th>
				</tr>
			</tfoot>




		</table>
		<hr>
		<h3>My Product List</h3>

		<table border="1">
			<thead>
				<tr>
					<th>name</th>
					<th>price</th>
					<th>description</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>A</td>
					<td>&#8369; 1</td>
					<td>beep</td>
				</tr>
				<tr>
					<td>B</td>
					<td>&#8369; 2</td>
					<td>boop</td>
				</tr>
				<tr>
					<td>C</td>
					<td>&#8369; 1</td>
					<td>sneep</td>
				</tr>
				<tr>
					<td>D</td>
					<td>&#8369; 3</td>
					<td>snoop</td>
				</tr>
				<tr>
					<td>E</td>
					<td>&#8369; 5</td>
					<td>snaap</td>
				</tr>
			</tbody>
		</table>



	</div>


</body>
</html>